Bug 52072 - Crashed after packages installed
Crashed after packages installed
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jindrich Novy
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-20 06:00 EDT by Colin Tarry
Modified: 2013-07-02 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 08:44:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Tarry 2001-08-20 06:00:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1632, in 
doInstall
    self.writeConfiguration ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1383, in 
writeConfiguration
    self.writeRootPassword ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 660, in 
writeRootPassword
    self.setPassword("root", pure)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1151, in 
setPassword
    stdin = p[0], stdout = devnull)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 40, in 
execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/bin/passwd can not be run

Local variables in innermost frame:
argv: ['/usr/bin/passwd', '--stdin', 'root']
root: /mnt/sysimage
stdin: 19
newPgrp: 0
stdout: 18
stderr: 2
command: /usr/bin/passwd
searchPath: 0
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I2
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot Linux 7.9 from CD or floppy
2.Go throiugh install procedure & slect Custom Install. Select all 
packages.
3.When all 600 (approx) packages have installed, the supplied error 
message appears which states mail to redhat as a bug.
	

Actual Results:  System rebooted and returned Missing Operating System.

Expected Results:  Presumably the install would carry on to set up 
network, printers, etc.

Additional info:
Comment 1 Jindrich Novy 2004-09-16 08:44:42 EDT
Hi Colin,

sorry for not solving this problem. I was recently reassigned to
resolve bugs related to passwd so I couldn't investigate the
installation problems you mentioned sooner. Recently I'm testing and
closing old bugs. I'll close this bug as WONTFIX because Red Hat Linux
7 is far beyond its EOL. Thanks for the report!

cheers,
Jindrich

Note You need to log in before you can comment on or make changes to this bug.